Bug 292850 - No activities settings if power preferences called from battery widget
Summary: No activities settings if power preferences called from battery widget
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-battery (show other bugs)
Version: 4.8.0
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-30 10:06 UTC by Leszek Lesner
Modified: 2012-06-08 14:57 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leszek Lesner 2012-01-30 10:06:49 UTC
Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

Unlike if I call my power preferences from systemsettings, the click on the configure icon in the battery plugin brings a power preference dialog without the ability to change activity specific power settings. (Its simply missing from the list on the left)

Reproducible: Always

Steps to Reproduce:
Click on the battery widget in tray (or desktop) and on the configure icon

Actual Results:  
It shows the power preferences without the activity settings. 

Expected Results:  
It should show the same dialog with activity settings like when called from the systemsettings. 

This video shows what happens if you click the configure icon in the battery plugin dialog. 
http://www.youtube.com/watch?v=oODGqY2S3tE#t=9m18s
(from 9:18 on)
Comment 1 D W 2012-01-30 10:32:45 UTC
It is exactly as he writes
I am using openSUSE 12.1, KDE 4.8.0
Comment 2 Anne-Marie Mahfouf 2012-01-30 11:54:00 UTC
Confirmed
Comment 3 Viranch Mehta 2012-06-07 19:44:04 UTC
Git commit 5f741f09de0d4771588e868d50acada15286703a by Viranch Mehta.
Committed on 07/06/2012 at 21:42.
Pushed by viranch into branch 'master'.

Add powerdevil activities settings in battery
monitor's settings dialog

M  +1    -1    plasma/generic/applets/batterymonitor/metadata.desktop

http://commits.kde.org/kde-workspace/5f741f09de0d4771588e868d50acada15286703a
Comment 4 Viranch Mehta 2012-06-07 19:44:50 UTC
Fixed.